%define major 3
%define libname libgle%major

Summary:  GLE Tubing and Extrusion Library
Name: gle
Version: 3.0.7
Release: 1mdk
License: GPL
Group: System/Libraries
Source: gle-%{version}.tar.bz2
URL: http://sourceforge.net/projects/gle
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libMesaGLU1-devel >= 4.0.1
BuildRequires: libMesaglut3-devel >= 4.0.1

%description
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

%package -n %libname
Summary:     	GLE shared library
Group: 		System/Libraries

%description -n %libname
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The shared library needed by GLE applications.

%package -n %libname-devel
Summary:        Devel files for GLE.
Group:          Development/C
Requires:	%libname = %version
Provides:	libgle-devel = %version
Provides:	gle-devel = %version
%description -n %libname-devel
GLE is a library package of C functions that draw extruded surfaces,
including surfaces of revolution, sweeps, tubes, polycones,
polycylinders and helicoids.  Generically, the extruded surface is
specified with a 2D polyline that is extruded along a 3D path.  A
local coordinate system allows for additional flexibility in the
primitives drawn.  Extrusions may be texture mapped in a variety of
ways.  The GLE library generates 3D triangle coordinates, lighting
normal vectors and texture coordinates as output. GLE uses the GL or
OpenGL API's to perform the actual rendering.

The static library and headers needed for developing GLE applications.

%prep
%setup -q 

%build
./configure --prefix=/usr/X11R6
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find doc -name Makefile\* |xargs rm
find doc examples -name .cvsignore |xargs rm

cd examples
make clean

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%doc README NEWS COPYING AUTHORS
/usr/X11R6/lib/libgle.so.*

%files -n %libname-devel
%defattr(-, root, root)
%doc ChangeLog src/COPYING.src src/README.gutil examples doc/*
/usr/X11R6/lib/libgle.so
/usr/X11R6/lib/libgle.la
/usr/X11R6/lib/libgle.a
/usr/X11R6/include/GL/*
/usr/X11R6/man/man3/*

%changelog
* Wed Jan 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.0.7-1mdk
- initial Mandrake package

